"use strict";

const Projects = require("../projects");
const Loader = require("../terminal-utils/async_loader");

module.exports = {
  description : "Stop project environment.",
  aliases: ["stop", "sto"],
  weight: 101,
  arguments: [
    {
      name: "key",
      description: "The key of the project.",
      default: "Current directory project.",
      optional: true,
    }
  ],

  execute : (key = null) => {
    let projectLoad;
    let loader;

    if (key === null) {
      projectLoad = Projects.loadDir(process.cwd());
    }
    else {
      projectLoad = Projects.load(key);
    }

    projectLoad.then((project) => {
      loader = new Loader("Stopping " + project.name + " ...");

      return project.stop().then(() => project);
    }).catch(console.error)
      .then((project) => {
        console.log(project.name + " stopped!");

        if (loader) {
          loader.destroy();
        }
      });
  }
};